/**
 * @fileoverview  布局管理
 * @dependencise: iscroll
 */

/**
 * 声明布局模块
 */
define(function(require, exports) {
	var UA = navigator.userAgent.toLowerCase().indexOf('android') >= 0 ? 'android' : 'iphone';
    /**
     * 返回外部调用接口
     */
    return {
		/**
		 * 初始化路由
		 * @name initialize
		 */
		initialize: function() {
			window['sendCommand'] = function(cmd, param) {
				var iFrame;
				iFrame = document.createElement('iframe');
				iFrame.setAttribute('src', 'orderHtml5:' + cmd + ':' + param);
				iFrame.setAttribute('style', 'display:none;');
				iFrame.setAttribute('height', '0px');
				iFrame.setAttribute('width', '0px');
				iFrame.setAttribute('frameborder', '0');
				document.body.appendChild(iFrame);
				iFrame.parentNode.removeChild(iFrame);
				iFrame = null;
			};
			
			window['getOrderState'] = function(cmd, param) {
				if (UA === 'android') {
					return;
				}
				return C.OrderDetail.model.get('orderStatus') || C.OrderDetail.model.get('unitedStatus') ||  C.OrderDetail.model.get('pursueStatus');
			};
			
			//继续购买
			window['orderNumberBet'] = function() {
				var model = C.OrderDetail.model.toJSON(),
					arr = [];
				_.each(model.orderNumber, function(order) {
					if (order.ConLNV && order.ConLNV.length > 0) {
						arr.push(order.ConLNV.join('&'));
					}
				});

				if (UA === 'android') {
					sendCommand('orderNumberBet', '{"lotteryId":' + model.lotteryType + ',"stakes":"' + arr.join('&') + '"}');
				} else {
					return '{"lotteryId":' + model.lotteryType + ',"stakes":"' + arr.join('&') + '"}';
				}
			};
		},
		errorLoginException: function() {
			sendCommand('usernologin', '');
		},
		detailLoadCallback: function(model) {
			sendCommand('pageLoadFinished', model.orderType);
		},
		detailLoadFailCallback: function() {
			sendCommand('pageLoadFailed');
		}
    };
});
